
TYPO3.Flow - Bug # 49011

Status: Under Review Priority: Should have
Author: Marc Neuhaus Category:
Created: 2013-06-10 Assigned To:
Updated: 2014-10-03 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Support executing TYPO3.Flow inside a PHAR
Description

Currently it's not really possible to create an executable phar from a
TYPO3.Flow distribution because of the caches and some failing
path evaluations.

History
#1 - 2013-06-10 21:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21329

#2 - 2013-06-10 21:46 - Marc Neuhaus

I created a first changeset, consider this a prototype for now :)

Main things i did:

1. Fix some path constants to the correct phar uri's
2. use "sys_get_temp_dir()" as target for Logs, Persistent and_Resources
3. Disabled is_writable checks for cache and temporary directory

I created a little distribution to test this as well:

https://github.com/mneuhaus/TYPO3.Flow-Phar-Testing

(You need Box:http://box-project.org/ to create the phar and maybe Beard:https://github.com/mneuhaus/Beard to pull in the changeset)

Instructions:

git clone git@github.com:mneuhaus/TYPO3.Flow-Phar-Testing.git
cd TYPO3.Flow-Phar-Testing.git
composer update
beard patch
./build.sh
This will take a few minutes. When it's done you'll have a ready to use phar in your Build directory :)

#3 - 2013-06-10 21:51 - Marc Neuhaus

Anyone interested can test this demo build of flow + surf: 
https://dl.dropboxusercontent.com/u/314491/flow-FLOW3-1.1.0-beta1-175-gb748f0e.phar

#4 - 2013-06-11 14:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21329

#5 - 2013-06-11 14:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21329

#6 - 2013-06-11 17:24 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21329

#7 - 2013-06-11 17:30 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21329

#8 - 2013-06-12 02:03 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21329

#9 - 2013-06-13 10:06 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21329

#10 - 2013-11-15 21:24 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21329

#11 - 2013-11-15 21:32 - Gerrit Code Review
Patch set 9 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21329

#12 - 2013-11-15 21:40 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21329

#13 - 2014-05-29 21:49 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21329

#14 - 2014-05-30 08:18 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21329

#15 - 2014-05-30 19:56 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21329

#16 - 2014-10-03 12:04 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/21329

#17 - 2014-10-03 15:21 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/21329
